Arbor 3: FSM & BT Graph Editor 3.5.3

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Member Functions | Properties | List of all members
RootNode Class Reference

ルートノード More...

Inheritance diagram for RootNode:

## Public Member Functions
| RootNode (NodeGraph nodeGraph, int nodeID)
| RootNodeのコンストラクタ More...
override bool | HasParentLinkSlot ()
| 親へのNodeLinkSlotを持っているかどうか More...
override bool | HasChildLinkSlot ()
| 子へのNodeLinkSlotを持っているかどうか More...
override bool | IsDeletable ()
| 削除できるかどうかを返す。 More...
override string | GetName ()
| ノードの名前を取得 More...
Public Member Functions inherited from TreeNodeBase
| TreeNodeBase (NodeGraph nodeGraph, int nodeID)
| TreeNodeBaseのコンストラクタ More...
virtual NodeLinkSlot | GetParentLinkSlot ()
| 親へのNodeLinkSlotを取得。 More...
override bool | IsDeletable ()
| 削除できるかどうかを返す。 More...
override string | ToString ()
| ノードを文字列に変換（デバッグ用）。 More...
Public Member Functions inherited from Node
| Node (NodeGraph nodeGraph, int nodeID)
| Nodeのコンストラクタ More...
virtual bool | IsContainsBehaviour (NodeBehaviour behaviour)
| NodeBehaviourを含んでいるかをチェックする。 More...
override string | ToString ()
| ノードを文字列に変換（デバッグ用）。 More...

## Public Attributes
NodeLinkSlot | childNodeLink = new NodeLinkSlot()
| 子ノードへのリンク More...
Public Attributes inherited from Node
Rect | position
| Arbor Editor上での位置。 More...
bool | showComment
| コメントを表示するかどうか More...
string | nodeComment
| コメント More...

## Protected Member Functions
override void | OnExecute ()
| 実行する際に呼ばれる。 More...
Protected Member Functions inherited from Node
virtual void | OnGraphChanged ()
| Nodeが所属するNodeGraphが変わった際に呼ばれる。 More...

## Properties
TreeNodeBase | childNode`[get]`
| 子ノードを取得。 More...
Properties inherited from TreeNodeBase
bool | enablePriority`[get]`
| ルートノードから辿って接続されていればtrueを返す。 More...
int | priority`[get]`
| ノードの優先順位。 More...
BehaviourTreeInternal | behaviourTree`[get]`
| ビヘイビアツリーを取得。 More...
TreeNodeBase | parentNode`[get]`
| 親ノードを取得。 More...
NodeStatus | status`[get]`
| ノードの状態。 More...
bool | isActive`[get]`
| アクティブならtrueを返す。 More...
Properties inherited from Node
NodeGraph | nodeGraph`[get]`
| NodeGraphを取得。 More...
int | nodeID`[get]`
| ノードIDを取得。 More...

## Detailed Description

ルートノード

## Constructor & Destructor Documentation

RootNode | ( | NodeGraph | nodeGraph,
|  | int | nodeID
| ) |  |

RootNodeのコンストラクタ

Parameters

  nodeGraph | このノードを持つNodeGraph
  nodeID | ノードID

RootNodeはBehaviourTree作成と同時に自動的に作成されます。

## Member Function Documentation

override string GetName | ( |  | ) |
| virtual

ノードの名前を取得

Returns
  ノードの名前

Reimplemented from Node.

override bool HasChildLinkSlot | ( |  | ) |
| virtual

子へのNodeLinkSlotを持っているかどうか

Returns
  持っている場合はtrue、なければfalse。

Implements TreeNodeBase.

override bool HasParentLinkSlot | ( |  | ) |
| virtual

親へのNodeLinkSlotを持っているかどうか

Returns
  持っている場合はtrue、なければfalse。

Implements TreeNodeBase.

override bool IsDeletable | ( |  | ) |
| virtual

削除できるかどうかを返す。

Returns
  削除できる場合にtrueを返す。

Reimplemented from Node.

override void OnExecute | ( |  | ) |
| protected virtual

実行する際に呼ばれる。

Implements TreeNodeBase.

## Member Data Documentation

NodeLinkSlot childNodeLink = new NodeLinkSlot()

子ノードへのリンク

## Property Documentation

TreeNodeBase childNode
| get

子ノードを取得。